Bug 118273 - FILESAVE XLSX Basic code with Userform does not work in Calc
Summary: FILESAVE XLSX Basic code with Userform does not work in Calc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2018-06-20 16:07 UTC by Gabor Kelemen (allotropia)
Modified: 2022-04-28 04:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (20.86 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-20 16:07 UTC, Gabor Kelemen (allotropia)
Details
The file saved by LO 6 (17.24 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-20 16:07 UTC, Gabor Kelemen (allotropia)
Details
Object catalog of the original documenti in Excel and Calc (368.65 KB, image/png)
2018-06-20 16:11 UTC, Gabor Kelemen (allotropia)
Details
Object catalog of the exported and the original document in Calc (503.71 KB, image/png)
2018-06-20 16:18 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-06-20 16:07:17 UTC
Created attachment 142965 [details]
Example file from Excel

If we create a simple Userform Object in a VBA project in Microsoft Excel and save as (*.XLSM) in LibreOffice Calc the Userform object will completely disapper, except the code of the Userform. The Userform Codes which originally was under the Forms, moved to among the Document Objects. Even if we open a *.XLSM file which contains a Userform, the Userform object will not appear under the Forms, but the Class Modules.

Steps to reproduce:
1. Create a new spreadsheet with Microsoft Excel 2016/2013
2. Open the Visual Basic window and create a simple visual basic Userform Object
3. Create some objects on the UserForm1 module (Textbox, Label, Button)
4. Double click on these objects (textbox, Label, Button), to create Private sub events.
4. Save the file as *.XLSM.
5. Open the file with LibreOffice Calc
6. Save as the file *.XLSM and reload it

Actual results: After we import the *.XLSM file in LibreOffice Calc 6.0.0.1, the Userform Object appeared under the Class Modules, instead of under the Forms. Nevertheless, if we create a Button_Click() event on the Worksheet to open the UserForm1
	Sub Gomb2_Click()
	UserForm1.Show
	End Sub
the UserForm1 module will appear correctly.
If we export the *.XLSM file with LibreOffice Calc 6.0.0.1.0+ and reload the file, the Userform object will disapper, except the code of the UserForm. The Userform Codes moved to be among the Document Objects. If we open the exported file with Microsoft Excel the UserForm1 Object codes will not be even among the Document Objects.
Expected results:
The UserForms module should work correctly (should not disappear) after we save the file in LibreOffice Calc.


Version: 6.0.0.1.0+
Build ID: c678dc5309741097d9b0265f03dd279a8794d256
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:libreoffice-6-0, Time: 2017-12-28_04:21:33
Locale: hu-HU (hu_HU); Calc: group
Comment 1 Gabor Kelemen (allotropia) 2018-06-20 16:07:42 UTC
Created attachment 142966 [details]
The file saved by LO 6
Comment 2 Gabor Kelemen (allotropia) 2018-06-20 16:11:09 UTC
Created attachment 142967 [details]
Object catalog of the original documenti in Excel and Calc
Comment 3 Gabor Kelemen (allotropia) 2018-06-20 16:18:26 UTC
Created attachment 142968 [details]
Object catalog of the exported and the original document in Calc
Comment 4 Buovjaga 2018-06-25 18:09:54 UTC
I ran the CommandButton1_Click macro and it did not do anything even in the original .xlsm

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: dbfa1c452fd9d02330cb3ec5bf2fd4f2c7782d1a
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 25th 2018

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 2c85607101e2e04e870e3b87362f39f9a9148e6c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-16_00:12:37
Locale: fi-FI (fi_FI); Calc: group threaded
Comment 5 howil 2020-04-27 12:31:01 UTC
In the following build saving of 'Forms' in Libreoffice-Calc to .xlsx still does not work. Saving to .xls does work well.

Steps to reproduce:
-> New -> Spreadsheet
-> Insert -> Form Control -> 'Checkbox' - > Draw area for checkbox
-> Save -> 'Test_Form_export.ods'
-> Save a Copy -> 'Test_Form_export.xls'
-> Save a Copy -> 'Test_Form_export.xlsx'
-> Reopen all three files in LibreOffice Calc or MS-Excel

Expected result:
'Forms'-elements should be included in all three files.

Real resuls:
'Forms'-elements are only available in the .ods and .xls. In the .xlsx file the 'Forms' are gone. Furthermore, for .xls the formatting for e.g. the 'Forms'-text is gone. 

Version: 6.4.2.2
Build ID: 4e471d8c02c9c90f512f7f9ead8875b57fcb1ec3
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Flatpak
Locale: de-AT (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 QA Administrators 2022-04-28 04:05:32 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug